- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions

# QLibraryInfo Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qlibraryinfo.h.

`#include <qlibraryinfo.h>`

List of all members.

## Public Types
enum | LibraryLocation { PrefixPath, DocumentationPath, HeadersPath, LibrariesPath, BinariesPath, PluginsPath, DataPath, TranslationsPath, SettingsPath, DemosPath, ExamplesPath, ImportsPath }
## Static Public Member Functions
static QString | licensee ()
static QString | licensedProducts ()
static QString | buildKey ()
static QDate | buildDate ()
static QString | location (LibraryLocation)

## Member Enumeration Documentation

enum LibraryLocation

Search for all occurrences

Enumerator:

  PrefixPath | Search for all occurrences
  DocumentationPath | Search for all occurrences
  HeadersPath | Search for all occurrences
  LibrariesPath | Search for all occurrences
  BinariesPath | Search for all occurrences
  PluginsPath | Search for all occurrences
  DataPath | Search for all occurrences
  TranslationsPath | Search for all occurrences
  SettingsPath | Search for all occurrences
  DemosPath | Search for all occurrences
  ExamplesPath | Search for all occurrences
  ImportsPath | Search for all occurrences

Definition at line 67 of file qlibraryinfo.h.

        {
            PrefixPath,
            DocumentationPath,
            HeadersPath,
            LibrariesPath,
            BinariesPath,
            PluginsPath,
            DataPath,
            TranslationsPath,
            SettingsPath,
            DemosPath,
            ExamplesPath,
            ImportsPath
        };

## Member Function Documentation

static QString licensee | ( |  | ) | `[static]`

Search for all occurrences

static QString licensedProducts | ( |  | ) | `[static]`

Search for all occurrences

static QString buildKey | ( |  | ) | `[static]`

Search for all occurrences

static QDate buildDate | ( |  | ) | `[static]`

Search for all occurrences

static QString location | ( | LibraryLocation |  | ) | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtCore/qlibraryinfo.h

QLibraryInfo QLibraryInfo QLibraryInfo QLibraryInfo QLibraryInfo QLibraryInfo QLibraryInfo QLibraryInfo QLibraryInfo QLibraryInfo
QLibraryInfo QLibraryInfo QLibraryInfo QLibraryInfo QLibraryInfo QLibraryInfo QLibraryInfo QLibraryInfo QLibraryInfo QLibraryInfo